System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum To be added

Specifies how an ASP.NET server control property or event is persisted declaratively in an .aspx or .ascx file.

- Field
  System.Web.UI.PersistenceMode To be added

  Specifies that the property or event persists as an attribute.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.PersistenceMode To be added

  Specifies that the property persists as the only inner text of the ASP.NET server control. The property value is HTML encoded. Only a string can be given this designation.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.PersistenceMode To be added

  Specifies that the property persists in the ASP.NET server control as inner text. Also indicates that this property is defined as the element's default property. Only one property can be designated the default property.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.PersistenceMode To be added

  Specifies that the property persists in the ASP.NET server control as a nested tag. This is commonly used for complex objects, those that have persistable properties of their own.

  1.0.5000.0
  2.0.0.0